[package]
name = "ckgreeter"
version = "0.1.0"
build = "build.rs"
edition = "2024"

[dependencies]
anyhow = "1.0"
chrono = "0.4"
rand = "0.10"
is_executable = "1.0"
walkdir = "2.5"

toml = { version = "1.1", features = ["serde"] }
serde = { version = "1.0", features = ["derive"] }
serde-aux = "4.7"

tokio = { version = "1.52", features = ["macros", "rt-multi-thread", "net", "fs", "full"] }
tokio-stream = {version = "0.1", features = ["fs"]}

freedesktop_entry_parser = "2.0"

pretty_env_logger = "0.5"
log = {version = "0.4", features = ["kv"]}

slint = { git = "https://github.com/slint-ui/slint", rev = "2e97daa", default-features = false, features = [
    "std",
    "compat-1-2",
    "renderer-femtovg",
    "backend-winit-wayland",
] }
i-slint-core = { git = "https://github.com/slint-ui/slint", rev = "2e97daa" }
greetd_ipc = { version = "0.10", features = [
    "codec",
    "async-trait",
    "tokio-codec",
] }
zbus = { version = "5.16", features = ["blocking"] }

reqwest = { version = "0.13", features = ["json", "default-tls"] }
pexels-api = { git = "https://github.com/houseme/pexels", rev = "b0b692a" }
magick_rust = "2.0"

greetd-stub = "0.3"

[build-dependencies]
slint-build = { git = "https://github.com/slint-ui/slint", branch = "master" }
